Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStreamPoints Class Reference

`#include <vtkStreamPoints.h>`

Inheritance diagram for vtkStreamPoints:

[legend]
Collaboration diagram for vtkStreamPoints:

[legend]
List of all members.

## Detailed Description

generate points along streamer separated by constant time increment

Date:
  2002/01/22 15:29:47

Revision:
  1.32

vtkStreamPoints is a filter that generates points along a streamer. The points are separated by a constant time increment. The resulting visual effect (especially when coupled with vtkGlyph3D) is an indication of particle speed.

See also:
  vtkStreamer vtkStreamLine vtkDashedStreamLine

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (57%)
  - Geveci, Berk (11%)
  - Martin, Ken (8%)
  - Law, Charles (7%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkStreamPoints.h)`
  - .`cxx` (`/Graphics/vtkStreamPoints.cxx)`

Tests:
  vtkStreamPoints (Tests)

Definition at line 52 of file vtkStreamPoints.h.

## Public Types
typedef vtkStreamer | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetTimeIncrement (float)
virtual float | GetTimeIncrement ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStreamPoints * | SafeDownCast (vtkObject *o)
vtkStreamPoints * | New ()
## Protected Methods
| vtkStreamPoints ()
| ~vtkStreamPoints ()
void | Execute ()
## Protected Attributes
float | TimeIncrement

## Member Typedef Documentation

typedef vtkStreamer vtkStreamPoints::Superclass

| Reimplemented from vtkStreamer. Definition at line 55 of file vtkStreamPoints.h.

## Constructor & Destructor Documentation

vtkStreamPoints::vtkStreamPoints | ( |  | ) | `[protected]`

vtkStreamPoints::~vtkStreamPoints | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkStreamPoints.h.

## Member Function Documentation

virtual const char* vtkStreamPoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStreamer.

int vtkStreamPoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStreamer.

virtual int vtkStreamPoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStreamer.

vtkStreamPoints* vtkStreamPoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStreamer.

void vtkStreamPoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStreamer.

vtkStreamPoints* vtkStreamPoints::New | ( |  | ) | `[static]`

| Construct object with time increment set to 1.0. Reimplemented from vtkObject.

virtual void vtkStreamPoints::SetTimeIncrement | ( | float |  | ) | `[virtual]`

| Specify the separation of points in terms of absolute time.

virtual float vtkStreamPoints::GetTimeIncrement | ( |  | ) | `[virtual]`

| Specify the separation of points in terms of absolute time.

void vtkStreamPoints::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

float vtkStreamPoints::TimeIncrement`[protected]`

| Definition at line 75 of file vtkStreamPoints.h.

The documentation for this class was generated from the following file:

- Graphics/vtkStreamPoints.h